- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 6832d08a-5d6a-4f47-afad-49f6431f745c
    creation_time: 2023-02-17T12:13:43.823038Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/prodbin-ll.c
      input_file_hashes:
        c/nla-digbench/prodbin-ll.c: 77bbfba272f7904e5efe099569a5ed86d54de3fd07a8ce9d48301467c5048e30
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/prodbin-ll.c
    file_hash: 77bbfba272f7904e5efe099569a5ed86d54de3fd07a8ce9d48301467c5048e30
    line: 32
    column: 0
    function: main
  loop_invariant:
    string: z+x*y == a*b && y >= 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a759239f-6f3c-4936-8f3c-3287499c0899
    creation_time: 2023-02-17T12:13:43.823313Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/prodbin-ll.c
      input_file_hashes:
        c/nla-digbench/prodbin-ll.c: 77bbfba272f7904e5efe099569a5ed86d54de3fd07a8ce9d48301467c5048e30
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/prodbin-ll.c
    file_hash: 77bbfba272f7904e5efe099569a5ed86d54de3fd07a8ce9d48301467c5048e30
    line: 33
    column: 0
    function: main
  location_invariant:
    string: z+x*y == a*b
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: dc0953b4-e25f-45ab-bec9-ff8f2c32f700
    creation_time: 2023-02-17T12:13:43.823411Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/prodbin-ll.c
      input_file_hashes:
        c/nla-digbench/prodbin-ll.c: 77bbfba272f7904e5efe099569a5ed86d54de3fd07a8ce9d48301467c5048e30
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/prodbin-ll.c
    file_hash: 77bbfba272f7904e5efe099569a5ed86d54de3fd07a8ce9d48301467c5048e30
    line: 44
    column: 0
    function: main
  location_invariant:
    string: z == a*b
    type: assertion
    format: C

